import { jsx } from "react/jsx-runtime";
import { TokenNKN as TokenNKN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNKN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NKN", "data-name": "TokenNKN", ...props, children: /* @__PURE__ */ jsx(TokenNKN$1, { variant }) });
  }
);
TokenNKN.displayName = "TokenNKN";
Object.assign(TokenNKN, { isGdsIcon: true });
export {
  TokenNKN
};
